# -*- coding: utf-8 -*-

"""
/***************************************************************************
 Fractalidad
                                 A QGIS plugin
 Estu pligin optiene las capas de fractalidad
 Generated by Plugin Builder: http://g-sherman.github.io/Qgis-Plugin-Builder/
                              -------------------
        begin                : 2021-05-27
        copyright            : (C) 2021 by Jair Arriaga, Tonatiuh Suarez
        email                : jair.arriaga@outlook.com, tonatiuhsmeaney@gmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
"""

__author__ = 'Jair Arriaga, Tonatiuh Suarez'
__date__ = '2021-05-27'
__copyright__ = '(C) 2021 by Jair Arriaga, Tonatiuh Suarez'

# This will get replaced with a git SHA1 when you do a git archive

__revision__ = '$Format:%H$'

import os
import sys
import inspect

from qgis.core import QgsProcessingAlgorithm, QgsApplication
from .FractaliadJ_provider import FractalidadProvider

cmd_folder = os.path.split(inspect.getfile(inspect.currentframe()))[0]

if cmd_folder not in sys.path:
    sys.path.insert(0, cmd_folder)


class FractalidadPlugin(object):

    def __init__(self):
        self.provider = None

    def initProcessing(self):
        """Init Processing provider for QGIS >= 3.8."""
        self.provider = FractalidadProvider()
        QgsApplication.processingRegistry().addProvider(self.provider)

    def initGui(self):
        self.initProcessing()

    def unload(self):
        QgsApplication.processingRegistry().removeProvider(self.provider)
